%define module	Class-Container
%define name	perl-%{module}
%define version	0.12
%define release	%mkrel 3

Summary:	Glues object frameworks together transparently
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source:		%{module}-%{version}.tar.bz2
URL:		http://search.cpan.org/dist/%{module}/
BuildArch:	noarch
BuildRequires:	perl-Params-Validate
BuildRoot:	%{_tmppath}/%{name}-buildroot/

%description
This class facilitates building frameworks of several classes that
inter-operate. It was first designed and built for "HTML::Mason", in
which the Compiler, Lexer, Interpreter, Resolver, Component, Buffer, and
several other objects must create each other transparently, passing the
appropriate parameters to the right class, possibly substituting other
subclasses for any of these objects.

%prep

%setup -q -n %{module}-%{version}

%build

%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

%clean 
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Class/Container.pm
%{_mandir}/*/*



%changelog
* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.12-3mdv2008.1
+ Revision: 136682
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.12-3mdv2008.0
+ Revision: 86075
- rebuild


* Mon Aug 28 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-08-28 14:30:47 (58378)
- mkrel
- test in check section

* Mon Aug 28 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-08-28 14:29:14 (58377)
Import perl-Class-Container

* Wed Jan 26 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.12-1mdk
- 0.12

* Wed Aug 25 2004 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.11-1mdk
- initial mandrake package

